Name:           OpenEXR
Summary:        A high dynamic-range (HDR) image file format for use in computer imaging applications
Version:        2.2.0
Release:        28
License:        BSD
URL:	        http://www.openexr.com/
Source0:        http://download.savannah.nongnu.org/releases/openexr/openexr-%{version}.tar.gz

Patch0000:      openexr-2.1.0-bigendian.patch
Patch0001:      CVE-2017-9110-9112-9116-12596.patch
Patch0002:      CVE-2017-9111-9113-9114-9115.patch
Patch0003:      CVE-2021-3474.patch
Patch0004:      CVE-2021-3477.patch
Patch0005:      CVE-2021-3476.patch
Patch0006:      CVE-2021-20296.patch
Patch0007:      CVE-2021-3479-pre0.patch
Patch0008:      CVE-2021-3479-pre1.patch
Patch0009:      CVE-2021-3479-pre2.patch
Patch0010:      CVE-2021-3479.patch
Patch0011:      CVE-2021-3475-pre0.patch
Patch0012:      CVE-2021-3475-pre1.patch
Patch0013:      CVE-2021-3475.patch
Patch0014:      CVE-2021-23215.patch
Patch0015:      CVE-2021-23169.patch
Patch0016:      CVE-2021-26260.patch
Patch0017:      CVE-2021-3598.patch
Patch0018:      CVE-2020-11758-to-CVE-2020-11765.patch
Patch0019:      CVE-2020-15305.patch
Patch0020:      CVE-2020-15306.patch
Patch0021:      CVE-2021-3605.patch
Patch0022:      CVE-2021-20303.patch
#https://github.com/AcademySoftwareFoundation/openexr/commit/7b11bbac18fc3c23.patch
Patch0023:      CVE-2021-20299.patch
#https://github.com/AcademySoftwareFoundation/openexr/pull/836/files
Patch0024:      CVE-2021-20300.patch
#https://github.com/AcademySoftwareFoundation/openexr/pull/842
Patch0025:      CVE-2021-20302.patch
#https://github.com/AcademySoftwareFoundation/openexr/commit/5a0adf1aba7d41c6b94ba167c0c4308d2eecfd17
Patch0026:      CVE-2021-3933.patch
Patch0027:      CVE-2021-20304.patch
Patch0028:      CVE-2021-20298.patch

BuildConflicts: %{name}-devel < 2.2.0
BuildRequires:  gcc-c++ ilmbase-devel >= %{version} zlib-devel pkgconfig

Requires:       %{name}-libs = %{version}-%{release}

Provides:       openexr = %{version}-%{release}
Obsoletes:      openexr < %{version}-%{release}

%description
OpenEXR is a high dynamic-range (HDR) image file format originally developed by Industrial
Light & Magic for use in computer imaging applications.

%package        libs
Summary:        Libraries for %{name}

%description    libs
Libraries for %{name}.

%package devel
Summary:        Development files for %{name}
Provides:       openexr-devel = %{version}-%{release}
Obsoletes:      openexr-devel < %{version}-%{release}
Requires:       %{name}-libs = %{version}-%{release} ilmbase-devel

%description devel
This package contains libraries and header files for development of %{name}.

%prep
%autosetup -n openexr-%{version} -p1

%build
%configure --disable-static
%make_build

%install
%make_install
%delete_la

%check
export PKG_CONFIG_PATH="%{buildroot}%{_libdir}/pkgconfig${PKG_CONFIG_PATH:+:}${PKG_CONFIG_PATH}"
test "$(pkg-config --modversion OpenEXR)" = "%{version}"
%make_build check ||:

%ldconfig_scriptlets libs

%files
%doc AUTHORS ChangeLog NEWS README
%license LICENSE
%{_bindir}/exr*
%exclude %{_docdir}/%{name}-%{version}

%files libs
%{_libdir}/libIlmImf-2_2.so.22*
%{_libdir}/libIlmImfUtil-2_2.so.22*

%files devel
%{_datadir}/aclocal/openexr.m4
%{_includedir}/%{name}/*
%{_libdir}/libIlmImf*.so
%{_libdir}/pkgconfig/OpenEXR.pc

%changelog
* Thu Aug 25 2022 mayp <mayanping@ncti-gba.cn> - 2.2.0-28
- Fix CVE-2021-20298 

* Thu Aug 18 2022 mayp <mayanping@ncti-gba.cn> - 2.2.0-27
- Fix CVE-2021-20304 

* Fri Jul 15 2022 weichao.zhang <weichao.zhang@epro.com.cn> - 2.2.0-26
- Fix CVE-2021-20300 CVE-2021-20302 CVE-2021-3933 

* Wed Mar 23 2022 yaoxin <yaoxin30@huawei.com> - 2.2.0-25
- Fix CVE-2021-20299

* Mon Mar 14 2022 yaoxin <yaoxin30@huawei.com> - 2.2.0-24
- Fix CVE-2021-20303

* Thu Sep 2 2021 liwu <liwu13@huawei.com> - 2.2.0-23
- fix CVE-2021-3605

* Mon Jul 12 2021 yaoxin <yaoxin30@huawei.com> - 2.2.0-22
- fix CVE-2020-11758 CVE-2020-11759 CVE-2020-11760 CVE-2020-11761 CVE-2020-11762 CVE-2020-11763 CVE-2020-11764 CVE-2020-11765 CVE-2020-15305 CVE-2020-15306

* Sat Jul 10 2021 wangyue <wangyue92@huawei.com> - 2.2.0-21
- fix CVE-2021-3598

* Tue Jun 22 2021 houyingchao <houyingchao@huawei.com> - 2.2.0-20
- fix CVE-2021-23215 CVE-2021-23169 CVE-2021-26260

* Tue Apr 06 2021 wangyue <wangyue92@huawei.com> - 2.2.0-19
- fix CVE-2021-3474 CVE-2021-3477 CVE-2021-3476 CVE-2021-3475 CVE-2021-20296 CVE-2021-3479 CVE-2021-20296

* Wed Jan 27 2021 zhanghua <zhanghua40@huawei.com> - 2.2.0-18
- Type:CVE
- ID:NA
- SUG:NA
- DESC:fix CVE-2017-9110 CVE-2017-9111 CVE-2017-9112 CVE-2017-9113
  CVE-2017-9114 CVE-2017-9115 CVE-2017-9116 CVE-2017-12596

* Tue Feb 18 2020 hexiujun <hexiujun1@huawei.com> - 2.2.0-17
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:unpack libs subpackage

* Fri Oct 25 2019 huzhiyu <huzhiyu1@huawei.com> - 2.2.0-16
- Package init
